<?xml version="1.0" encoding="UTF-8"?>
<bpmn:definitions xmlns:bpmn="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:dc="http://www.omg.org/spec/DD/20100524/DC" xmlns:di="http://www.omg.org/spec/DD/20100524/DI" id="sid-38422fae-e03e-43a3-bef4-1641822781024" targetNamespace="http://bpmn.io/bpmn" exporter="NotDraw" exporterVersion="1.0"><bpmn:collaboration id="Collaboration_17reve3"><bpmn:participant id="Participant_0dt7vdy" processRef="Process_1641822781024"><bpmn:participantMultiplicity /></bpmn:participant><bpmn:participant id="Participant_1b5ngkb" name="Caretaker Panel" processRef="Process_1933fui" /><bpmn:participant id="Participant_1u3ieu9" name="System" processRef="Process_083ge2w" /><bpmn:participant id="Participant_1vspn38" name="Student Panel" processRef="Process_19kvwhb" /><bpmn:messageFlow id="Flow_0553gox" sourceRef="Activity_1h6pd05" targetRef="Activity_1gvh4qq" /><bpmn:messageFlow id="Flow_0wjc8ec" sourceRef="Activity_1h6pd05" targetRef="Activity_165kx9e" /><bpmn:messageFlow id="Flow_1nrhgjp" sourceRef="Activity_1h6pd05" targetRef="Activity_0ylsyfy" /></bpmn:collaboration><bpmn:process id="Process_083ge2w"><bpmn:task id="Activity_1gvh4qq" name="Find caretaker for student who got the grade"><bpmn:outgoing>Flow_0pdpset</bpmn:outgoing></bpmn:task><bpmn:endEvent id="Event_1i9wkqk" name="Send message to caretaker"><bpmn:incoming>Flow_049yz98</bpmn:incoming><bpmn:messageEventDefinition id="MessageEventDefinition_192l5ax" /></bpmn:endEvent><bpmn:endEvent id="Event_1u3jk1c" name="End Process"><bpmn:incoming>Flow_0xmp965</bpmn:incoming></bpmn:endEvent><bpmn:exclusiveGateway id="Gateway_1avs93t"><bpmn:incoming>Flow_0pdpset</bpmn:incoming><bpmn:outgoing>Flow_049yz98</bpmn:outgoing><bpmn:outgoing>Flow_0xmp965</bpmn:outgoing></bpmn:exclusiveGateway><bpmn:sequenceFlow id="Flow_049yz98" name="Caretaker wants messages on grades" sourceRef="Gateway_1avs93t" targetRef="Event_1i9wkqk" /><bpmn:sequenceFlow id="Flow_0pdpset" sourceRef="Activity_1gvh4qq" targetRef="Gateway_1avs93t" /><bpmn:sequenceFlow id="Flow_0xmp965" name="Caretaker does not want messages on grades" sourceRef="Gateway_1avs93t" targetRef="Event_1u3jk1c" /></bpmn:process><bpmn:process id="Process_1641822781024"><bpmn:laneSet id="LaneSet_0kx52ll"><bpmn:lane id="Lane_1egeufb"><bpmn:flowNodeRef>Activity_0aib4ra</bpmn:flowNodeRef><bpmn:flowNodeRef>Activity_0dc40rk</bpmn:flowNodeRef><bpmn:flowNodeRef>Activity_0y31czk</bpmn:flowNodeRef><bpmn:flowNodeRef>Activity_198bk73</bpmn:flowNodeRef><bpmn:flowNodeRef>Activity_1h6pd05</bpmn:flowNodeRef><bpmn:flowNodeRef>Activity_1hyxytv</bpmn:flowNodeRef><bpmn:flowNodeRef>Event_1crq46o</bpmn:flowNodeRef><bpmn:flowNodeRef>Event_1wfbwwh</bpmn:flowNodeRef><bpmn:flowNodeRef>Gateway_08ckbzs</bpmn:flowNodeRef><bpmn:flowNodeRef>Gateway_0igbelh</bpmn:flowNodeRef><bpmn:flowNodeRef>Event_0ui50zp</bpmn:flowNodeRef></bpmn:lane></bpmn:laneSet><bpmn:task id="Activity_0aib4ra" name="Log In"><bpmn:incoming>Flow_175vizh</bpmn:incoming><bpmn:outgoing>Flow_046mwi3</bpmn:outgoing></bpmn:task><bpmn:task id="Activity_0dc40rk" name="Choose grade"><bpmn:incoming>Flow_1cqbfnh</bpmn:incoming><bpmn:incoming>Flow_1ct7b1p</bpmn:incoming><bpmn:outgoing>Flow_1eq3bpf</bpmn:outgoing></bpmn:task><bpmn:task id="Activity_0y31czk" name="Choose class, course and student"><bpmn:incoming>Flow_1fwz2zg</bpmn:incoming><bpmn:outgoing>Flow_1cqbfnh</bpmn:outgoing></bpmn:task><bpmn:task id="Activity_198bk73" name="Choose year and semester"><bpmn:incoming>Flow_1eyxmay</bpmn:incoming><bpmn:outgoing>Flow_1fwz2zg</bpmn:outgoing></bpmn:task><bpmn:task id="Activity_1h6pd05" name="Confirm again"><bpmn:incoming>Flow_18ma2qe</bpmn:incoming><bpmn:outgoing>Flow_0w2nak8</bpmn:outgoing></bpmn:task><bpmn:task id="Activity_1hyxytv" name="Click delete button"><bpmn:incoming>Flow_1eq3bpf</bpmn:incoming><bpmn:outgoing>Flow_11jdx5v</bpmn:outgoing></bpmn:task><bpmn:startEvent id="Event_1crq46o" name="Start Event"><bpmn:outgoing>Flow_175vizh</bpmn:outgoing></bpmn:startEvent><bpmn:endEvent id="Event_1wfbwwh" name="End Process"><bpmn:incoming>Flow_0w2nak8</bpmn:incoming></bpmn:endEvent><bpmn:exclusiveGateway id="Gateway_08ckbzs"><bpmn:incoming>Flow_046mwi3</bpmn:incoming><bpmn:outgoing>Flow_0b58028</bpmn:outgoing><bpmn:outgoing>Flow_1eyxmay</bpmn:outgoing></bpmn:exclusiveGateway><bpmn:exclusiveGateway id="Gateway_0igbelh"><bpmn:incoming>Flow_11jdx5v</bpmn:incoming><bpmn:outgoing>Flow_18ma2qe</bpmn:outgoing><bpmn:outgoing>Flow_1ct7b1p</bpmn:outgoing></bpmn:exclusiveGateway><bpmn:sequenceFlow id="Flow_046mwi3" sourceRef="Activity_0aib4ra" targetRef="Gateway_08ckbzs" /><bpmn:sequenceFlow id="Flow_0b58028" name="log in failed" sourceRef="Gateway_08ckbzs" targetRef="Event_0ui50zp" /><bpmn:sequenceFlow id="Flow_0w2nak8" sourceRef="Activity_1h6pd05" targetRef="Event_1wfbwwh" /><bpmn:sequenceFlow id="Flow_11jdx5v" sourceRef="Activity_1hyxytv" targetRef="Gateway_0igbelh" /><bpmn:sequenceFlow id="Flow_175vizh" sourceRef="Event_1crq46o" targetRef="Activity_0aib4ra" /><bpmn:sequenceFlow id="Flow_18ma2qe" name="right" sourceRef="Gateway_0igbelh" targetRef="Activity_1h6pd05" /><bpmn:sequenceFlow id="Flow_1cqbfnh" sourceRef="Activity_0y31czk" targetRef="Activity_0dc40rk" /><bpmn:sequenceFlow id="Flow_1ct7b1p" name="wrong" sourceRef="Gateway_0igbelh" targetRef="Activity_0dc40rk" /><bpmn:sequenceFlow id="Flow_1eq3bpf" sourceRef="Activity_0dc40rk" targetRef="Activity_1hyxytv" /><bpmn:sequenceFlow id="Flow_1eyxmay" name="log in successful" sourceRef="Gateway_08ckbzs" targetRef="Activity_198bk73" /><bpmn:sequenceFlow id="Flow_1fwz2zg" sourceRef="Activity_198bk73" targetRef="Activity_0y31czk" /><bpmn:endEvent id="Event_0ui50zp" name="End Process"><bpmn:incoming>Flow_0b58028</bpmn:incoming></bpmn:endEvent></bpmn:process><bpmn:process id="Process_1933fui"><bpmn:task id="Activity_165kx9e" name="Delete grade from the view"><bpmn:outgoing>Flow_1ws24hn</bpmn:outgoing></bpmn:task><bpmn:endEvent id="Event_1v9oy4f" name="End Process"><bpmn:incoming>Flow_1ws24hn</bpmn:incoming></bpmn:endEvent><bpmn:sequenceFlow id="Flow_1ws24hn" sourceRef="Activity_165kx9e" targetRef="Event_1v9oy4f" /></bpmn:process><bpmn:process id="Process_19kvwhb"><bpmn:task id="Activity_0ylsyfy" name="Delete grade from the view"><bpmn:outgoing>Flow_0gcxhht</bpmn:outgoing></bpmn:task><bpmn:endEvent id="Event_1w014vs" name="End Process"><bpmn:incoming>Flow_0gcxhht</bpmn:incoming></bpmn:endEvent><bpmn:sequenceFlow id="Flow_0gcxhht" sourceRef="Activity_0ylsyfy" targetRef="Event_1w014vs" /></bpmn:process><bpmndi:BPMNDiagram id="BpmnDiagram_1641822781024"><bpmndi:BPMNPlane id="BpmnPlane_1641822781024" bpmnElement="Collaboration_17reve3"><bpmndi:BPMNShape id="Participant_0dt7vdy_di" bpmnElement="Participant_0dt7vdy" isHorizontal="true" isExpanded="true"><dc:Bounds x="-970" y="-340" width="1340" height="240" /></bpmndi:BPMNShape><bpmndi:BPMNShape id="Lane_1egeufb_di" bpmnElement="Lane_1egeufb" isHorizontal="true" isExpanded="true"><dc:Bounds x="-940" y="-340" width="1310" height="240" /></bpmndi:BPMNShape><bpmndi:BPMNEdge id="Flow_046mwi3_di" bpmnElement="Flow_046mwi3"><di:waypoint x="-770" y="-220" /><di:waypoint x="-755" y="-220" /></bpmndi:BPMNEdge><bpmndi:BPMNEdge id="Flow_0b58028_di" bpmnElement="Flow_0b58028"><di:waypoint x="-730" y="-195" /><di:waypoint x="-730" y="-168" /><bpmndi:BPMNLabel><dc:Bounds x="-743" y="-194" width="56" height="14" /></bpmndi:BPMNLabel></bpmndi:BPMNEdge><bpmndi:BPMNEdge id="Flow_0w2nak8_di" bpmnElement="Flow_0w2nak8"><di:waypoint x="100" y="-220" /><di:waypoint x="312" y="-220" /></bpmndi:BPMNEdge><bpmndi:BPMNEdge id="Flow_11jdx5v_di" bpmnElement="Flow_11jdx5v"><di:waypoint x="-150" y="-220" /><di:waypoint x="-115" y="-220" /></bpmndi:BPMNEdge><bpmndi:BPMNEdge id="Flow_175vizh_di" bpmnElement="Flow_175vizh"><di:waypoint x="-892" y="-220" /><di:waypoint x="-870" y="-220" /></bpmndi:BPMNEdge><bpmndi:BPMNEdge id="Flow_18ma2qe_di" bpmnElement="Flow_18ma2qe"><di:waypoint x="-65" y="-220" /><di:waypoint x="0" y="-220" /><bpmndi:BPMNLabel><dc:Bounds x="-44" y="-238" width="23" height="14" /></bpmndi:BPMNLabel></bpmndi:BPMNEdge><bpmndi:BPMNEdge id="Flow_1cqbfnh_di" bpmnElement="Flow_1cqbfnh"><di:waypoint x="-400" y="-220" /><di:waypoint x="-380" y="-220" /></bpmndi:BPMNEdge><bpmndi:BPMNEdge id="Flow_1ct7b1p_di" bpmnElement="Flow_1ct7b1p"><di:waypoint x="-90" y="-195" /><di:waypoint x="-90" y="-130" /><di:waypoint x="-330" y="-130" /><di:waypoint x="-330" y="-180" /><bpmndi:BPMNLabel><dc:Bounds x="-224" y="-148" width="29" height="14" /></bpmndi:BPMNLabel></bpmndi:BPMNEdge><bpmndi:BPMNEdge id="Flow_1eq3bpf_di" bpmnElement="Flow_1eq3bpf"><di:waypoint x="-280" y="-220" /><di:waypoint x="-250" y="-220" /></bpmndi:BPMNEdge><bpmndi:BPMNEdge id="Flow_1eyxmay_di" bpmnElement="Flow_1eyxmay"><di:waypoint x="-705" y="-220" /><di:waypoint x="-620" y="-220" /><bpmndi:BPMNLabel><dc:Bounds x="-703" y="-238" width="82" height="14" /></bpmndi:BPMNLabel></bpmndi:BPMNEdge><bpmndi:BPMNEdge id="Flow_1fwz2zg_di" bpmnElement="Flow_1fwz2zg"><di:waypoint x="-520" y="-220" /><di:waypoint x="-500" y="-220" /></bpmndi:BPMNEdge><bpmndi:BPMNShape id="Activity_0aib4ra_di" bpmnElement="Activity_0aib4ra" isExpanded="true"><dc:Bounds x="-870" y="-260" width="100" height="80" /></bpmndi:BPMNShape><bpmndi:BPMNShape id="Activity_0dc40rk_di" bpmnElement="Activity_0dc40rk" isExpanded="true"><dc:Bounds x="-380" y="-260" width="100" height="80" /></bpmndi:BPMNShape><bpmndi:BPMNShape id="Activity_0y31czk_di" bpmnElement="Activity_0y31czk" isExpanded="true"><dc:Bounds x="-500" y="-260" width="100" height="80" /></bpmndi:BPMNShape><bpmndi:BPMNShape id="Activity_198bk73_di" bpmnElement="Activity_198bk73" isExpanded="true"><dc:Bounds x="-620" y="-260" width="100" height="80" /></bpmndi:BPMNShape><bpmndi:BPMNShape id="Activity_1h6pd05_di" bpmnElement="Activity_1h6pd05" isExpanded="true"><dc:Bounds x="0" y="-260" width="100" height="80" /></bpmndi:BPMNShape><bpmndi:BPMNShape id="Activity_1hyxytv_di" bpmnElement="Activity_1hyxytv" isExpanded="true"><dc:Bounds x="-250" y="-260" width="100" height="80" /></bpmndi:BPMNShape><bpmndi:BPMNShape id="Event_1crq46o_di" bpmnElement="Event_1crq46o"><dc:Bounds x="-928" y="-238" width="36" height="36" /><bpmndi:BPMNLabel><dc:Bounds x="-938" y="-195" width="56" height="14" /></bpmndi:BPMNLabel></bpmndi:BPMNShape><bpmndi:BPMNShape id="Event_1wfbwwh_di" bpmnElement="Event_1wfbwwh" isExpanded="true"><dc:Bounds x="312" y="-238" width="36" height="36" /><bpmndi:BPMNLabel><dc:Bounds x="299" y="-195" width="63" height="14" /></bpmndi:BPMNLabel></bpmndi:BPMNShape><bpmndi:BPMNShape id="Gateway_08ckbzs_di" bpmnElement="Gateway_08ckbzs" isExpanded="true" isMarkerVisible="true"><dc:Bounds x="-755" y="-245" width="50" height="50" /></bpmndi:BPMNShape><bpmndi:BPMNShape id="Gateway_0kmffsu_di" bpmnElement="Gateway_0igbelh" isExpanded="true" isMarkerVisible="true"><dc:Bounds x="-115" y="-245" width="50" height="50" /></bpmndi:BPMNShape><bpmndi:BPMNShape id="Event_0ui50zp_di" bpmnElement="Event_0ui50zp" isExpanded="true"><dc:Bounds x="-748" y="-168" width="36" height="36" /><bpmndi:BPMNLabel><dc:Bounds x="-761" y="-125" width="63" height="14" /></bpmndi:BPMNLabel></bpmndi:BPMNShape><bpmndi:BPMNShape id="Participant_1b5ngkb_di" bpmnElement="Participant_1b5ngkb" isHorizontal="true" isExpanded="true"><dc:Bounds x="-970" y="-100" width="1340" height="250" /></bpmndi:BPMNShape><bpmndi:BPMNEdge id="Flow_1ws24hn_di" bpmnElement="Flow_1ws24hn"><di:waypoint x="280" y="30" /><di:waypoint x="312" y="30" /></bpmndi:BPMNEdge><bpmndi:BPMNShape id="Activity_165kx9e_di" bpmnElement="Activity_165kx9e" isExpanded="true"><dc:Bounds x="180" y="-10" width="100" height="80" /></bpmndi:BPMNShape><bpmndi:BPMNShape id="Event_1v9oy4f_di" bpmnElement="Event_1v9oy4f" isExpanded="true"><dc:Bounds x="312" y="12" width="36" height="36" /><bpmndi:BPMNLabel><dc:Bounds x="299" y="55" width="63" height="14" /></bpmndi:BPMNLabel></bpmndi:BPMNShape><bpmndi:BPMNShape id="Participant_1u3ieu9_di" bpmnElement="Participant_1u3ieu9" isHorizontal="true" isExpanded="true"><dc:Bounds x="-970" y="400" width="1340" height="270" /></bpmndi:BPMNShape><bpmndi:BPMNEdge id="Flow_049yz98_di" bpmnElement="Flow_049yz98"><di:waypoint x="170" y="525" /><di:waypoint x="170" y="430" /><di:waypoint x="232" y="430" /><bpmndi:BPMNLabel><dc:Bounds x="89" y="430" width="81" height="40" /></bpmndi:BPMNLabel></bpmndi:BPMNEdge><bpmndi:BPMNEdge id="Flow_0pdpset_di" bpmnElement="Flow_0pdpset"><di:waypoint x="100" y="550" /><di:waypoint x="145" y="550" /></bpmndi:BPMNEdge><bpmndi:BPMNEdge id="Flow_0xmp965_di" bpmnElement="Flow_0xmp965"><di:waypoint x="195" y="550" /><di:waypoint x="302" y="550" /><bpmndi:BPMNLabel><dc:Bounds x="175" y="588" width="76" height="53" /></bpmndi:BPMNLabel></bpmndi:BPMNEdge><bpmndi:BPMNShape id="Activity_1gvh4qq_di" bpmnElement="Activity_1gvh4qq" isExpanded="true"><dc:Bounds x="0" y="510" width="100" height="80" /></bpmndi:BPMNShape><bpmndi:BPMNShape id="Event_14mt8ki_di" bpmnElement="Event_1i9wkqk" isExpanded="true"><dc:Bounds x="232" y="412" width="36" height="36" /><bpmndi:BPMNLabel><dc:Bounds x="207" y="455" width="86" height="27" /></bpmndi:BPMNLabel></bpmndi:BPMNShape><bpmndi:BPMNShape id="Event_1u3jk1c_di" bpmnElement="Event_1u3jk1c" isExpanded="true"><dc:Bounds x="302" y="532" width="36" height="36" /><bpmndi:BPMNLabel><dc:Bounds x="289" y="575" width="63" height="14" /></bpmndi:BPMNLabel></bpmndi:BPMNShape><bpmndi:BPMNShape id="Gateway_1avs93t_di" bpmnElement="Gateway_1avs93t" isExpanded="true" isMarkerVisible="true"><dc:Bounds x="145" y="525" width="50" height="50" /></bpmndi:BPMNShape><bpmndi:BPMNShape id="Participant_1vspn38_di" bpmnElement="Participant_1vspn38" isHorizontal="true" isExpanded="true"><dc:Bounds x="-970" y="150" width="1340" height="250" /></bpmndi:BPMNShape><bpmndi:BPMNEdge id="Flow_0gcxhht_di" bpmnElement="Flow_0gcxhht"><di:waypoint x="270" y="290" /><di:waypoint x="312" y="290" /></bpmndi:BPMNEdge><bpmndi:BPMNShape id="Activity_0ylsyfy_di" bpmnElement="Activity_0ylsyfy" isExpanded="true"><dc:Bounds x="170" y="250" width="100" height="80" /></bpmndi:BPMNShape><bpmndi:BPMNShape id="Event_1w014vs_di" bpmnElement="Event_1w014vs" isExpanded="true"><dc:Bounds x="312" y="272" width="36" height="36" /><bpmndi:BPMNLabel><dc:Bounds x="299" y="315" width="63" height="14" /></bpmndi:BPMNLabel></bpmndi:BPMNShape><bpmndi:BPMNEdge id="Flow_0553gox_di" bpmnElement="Flow_0553gox"><di:waypoint x="50" y="-180" /><di:waypoint x="50" y="510" /></bpmndi:BPMNEdge><bpmndi:BPMNEdge id="Flow_0wjc8ec_di" bpmnElement="Flow_0wjc8ec"><di:waypoint x="50" y="-180" /><di:waypoint x="50" y="10" /><di:waypoint x="180" y="10" /></bpmndi:BPMNEdge><bpmndi:BPMNEdge id="Flow_1nrhgjp_di" bpmnElement="Flow_1nrhgjp"><di:waypoint x="50" y="-180" /><di:waypoint x="50" y="290" /><di:waypoint x="170" y="290" /></bpmndi:BPMNEdge></bpmndi:BPMNPlane></bpmndi:BPMNDiagram></bpmn:definitions>